### Function

# Ide ObjectBox from_object

#### Declaration

    IdeObjectBox*
    ide_object_box_from_object (
      GObject* object
    )

#### Description

Gets the `IdeObjectBox` that contains `object`, if any.

This function may only be called from the main thread.

Available since: | 3.32

#### Parameters

`object` | `GObject`
| A `GObject`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeObjectBox`
| An `IdeObjectBox`.
| The data is owned by the called function.